
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>《基于MFC的OpenGL编程》Part 1 A Primer / iVAN</title>

    <meta name="description" content="《基于MFC的OpenGL编程》Part 1 A Primer 3D图形学基本概念 Perspective Perspective refers to the angles between the lines that lend the illusion of three dimensions. Colors and Shading Moving beyond line drawing, we need to add color to create a solid object. Shading refers to the way the color is">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">《基于MFC的OpenGL编程》Part 1 A Primer</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>3D图形学基本概念</p>
<p>Perspective</p>
<p>Perspective refers to the angles between the lines that lend the illusion of three dimensions.</p>
<p>Colors and Shading</p>
<p>Moving beyond line drawing, we need to add color to create a solid object. Shading refers to the way the color is applied to the polygon. Shading can be of two types in OpenGL - Flat or Smooth.</p>
<p>Lights and Shadows</p>
<p>Plain solid color doesn’t offer enough realism. By applying Lighting effects we can make objects appear as they would in reality depending on their material properties and the lighting parameters. Adding a shadow further increases realism.</p>
<p>Texture Mapping</p>
<p>With Texture Mapping we can have wood grains, cloth textures, brick like textures etc instead of plain materials. This technique of applying an image to the surface of a polygon is called Texture Mapping. The image we use is called the Texture and the individual elements of the texture are called Texels.</p>
<p>Fog</p>
<p>Fog is an atmospheric effect that adds haziness to objects in a scene depending on how far the objects are from the viewer.</p>
<p>Blending and Transparency</p>
<p>Blending is the combination of colors of objects on the screen. This effect can be used for a variety of purposes. By varying the amount each object is blended with the scene we can make objects look transparent.</p>
<p>Anti-Aliasing</p>
<p>Aliasing is an effect that is visible on screen due to the fact that an image consists of discrete pixels. By carefully blending the lines with the background color we can eliminate jagged edges and give them a smooth appearance. This blending technique is called anti-aliasing.</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-24 03:47:02</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/the/" title="The">The</a>, <a href="https://www.iamivan.net/tag/and/" title="and">and</a>, <a href="https://www.iamivan.net/tag/color/" title="color">color</a>, <a href="https://www.iamivan.net/tag/objects/" title="objects">objects</a>, <a href="https://www.iamivan.net/tag/c-primer/" title="c&plus;&plus; primer">c&plus;&plus; primer</a>, <a href="https://www.iamivan.net/tag/can/" title="can">can</a>, <a href="https://www.iamivan.net/tag/primer/" title="Primer">Primer</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>《基于MFC的OpenGL编程》Part 1 A Primer的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqL2A3b.html" rel="bookmark">《基于MFC的OpenGL编程》Part 19 Creating a Virtual Reality Walkthrough&hellip;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;基于MFC的OpenGL编程&gt;Part 19 Creating a Virtual Reality Walkthrough Application 本文是整个系列文章的最后一篇,将创建一个完整的虚拟office应用程序(如图所示)来做为ending. 1,在CCY457OpenGLView类中加入下述变量,用来保存office内各个物体的显示列表 //Display List Names GLuint m_SceneList; GLuint m_ComputerList; GLuint m_			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj7RQ6M.html" rel="bookmark">《基于MFC的OpenGL编程》Part 5 Transformations</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;基于MFC的OpenGL编程&gt;Part 5 Transformations - Rotations,Translations and Scaling Transformations - Translation, Rotation and Scaling Translation is nothing but moving along an arbitrary axis. Rotation is spinning about an arbitrary axis. Scaling is incre			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3NRrNz.html" rel="bookmark">《基于MFC的OpenGL编程》Part 2 Setting up OpenGL on Windows</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				WGL – Windows的 OpenGL扩展层 The WGL extension consists of a set of functions (wglCreateContext, wglDeleteContext etc.) and structures (such as PIXELFORMATDESCRIPTOR, GLYPHMETRICSFLOAT) etc. Thus every OpenGL implementation has a platform-specific portio			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5AwNDp.html" rel="bookmark">《基于MFC的OpenGL编程》Part 18 Reading objects from the OBJ File Format</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文将介绍如何从Obj文件格式中创建3D对象,我们使用的是Nate Miller的obj格式加载类. This would be very useful to create large Virtual Reality applications as we could make use of the readily available 3D model files or make use of modeling tools to create these models and load them			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgK4V6M.html" rel="bookmark">《基于MFC的OpenGL编程》Part 17 Shadows</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Shadows Conceptually drawing a shadow is quite simple. A shadow is produced when an object keeps light from a source from striking some object or surface behind the object, casting the shadow. The area on the shadowed object's surface outlined by the			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnxA7kb.html" rel="bookmark">《基于MFC的OpenGL编程》Part 15 Selection</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Selection Selection is a powerful feature of OpenGL that allows you click at some position of the OpenGL window using the mouse and determine which of your objects lie beneath it. The act of selecting a specific object is called Picking. With OpenGL'			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlR2Qaz.html" rel="bookmark">《基于MFC的OpenGL编程》Part 14 Quadrics</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文在第11篇文章的基础上,为其加入显示各种二次曲面的代码: Quadrics Every quadric has a few settings associated with it. We have to create a quadric first and then customize its settings to render the shape we want. The gluNewQuadric function creates a state variable that descr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPNYPrb.html" rel="bookmark">《基于MFC的OpenGL编程》Part 13 Creating 2D and 3D Text</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				wglUseFontBitmaps函数 The wglUseFontBitmaps() function creates a set of bitmap display lists based on the glyphs in the currently selected font in the current DC for use in the current OpenGL RC. It basically creates a series of sequential display list			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrKwWOp.html" rel="bookmark">《基于MFC的OpenGL编程》Part 12 Creating and Using Display Lists</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文对第11篇文章进行修改,使用显示列表来存储渲染命令. 显示列表 OpenGL provides a facility to create a preprocessed set of OpenGL commands called a display list. Creating a display list is a straight forward process. We just have to delimit the display list code with glNewList an			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Myr435p.html" rel="bookmark">《基于MFC的OpenGL编程》Part 11 Blending&comma; Antialiasing and Fog</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Blending and Transparency Blending in OpenGL provides pixel-level control of RGBA color storage in the color buffer. To enable blending we must first call glEnable(GL_BLEND). We have to set up the blending function glBlendFunc with two arguments: the			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7GAzW.html" rel="bookmark" class="title">处女篇：ObjectDataSource&plus;CodeSmith实现基础增删改查功能</a>
					<div>
						前言:     看别的人博客看多了,自己写博客还是第一次.这里就分享点破东东.         SqlDataSource:初学入门者,大伙都会用得比较多,里面一个代码也不用写,排序分页编辑删除插入等 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bo9AEp.html" rel="bookmark" class="title">Photoshop鼠绘教程&colon;绘制绿色的对称花瓣</a>
					<div>
						效果图的花朵是完全对称的,都是由一小片花瓣构成,制作的时候只需要做出其中的一片花瓣,其它的就可以复制及旋转角度即可.组成花朵后,还需要再多复制一些适当变形处理,增加花朵的层次感.最终效果 1.教程的效 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpP6J8b.html" rel="bookmark" class="title">如何在 dataGrid 上的第一列加上 CheckBox</a>
					<div>
						datagrid   全选/反选:   &lt;input type=&quot;checkbox&quot; name=&quot;selAll&quot; &gt;全选/反选   注SelectA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyR4kp.html" rel="bookmark" class="title">mysql中解决中文插入问题</a>
					<div>
						1.安装mysql时设置字符集 mysql数据库安装的时候.选择语言为utf8或者GBK,这样在数据库中才可以存放中文. 2.创建表时设置字符集 例如: CREATE TABLE t_departme ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBvOkb.html" rel="bookmark" class="title">Delphi 2009泛型容器单元&lpar;Generics&period;Collections&rpar;&lbrack;4&rsqb;&colon; TDictionary&amp;amp&semi;lt&semi;T&amp;amp&semi;gt&semi;</a>
					<div>
						TDictionary 类似哈希表. 本例效果图: 代码文件:unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Cla ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqL1o3b.html" rel="bookmark" class="title">word文档怎么添加音频或视频批注</a>
					<div>
						  word文档怎么添加音频或视频批注           1.单击快速访问工具栏右侧的[自定义快速访问工具栏]按钮(),在随即打开的下拉菜单中,执行[其他命令]命令,打开&quot;Word选项&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRy5geb.html" rel="bookmark" class="title">教你用Dreamweaver制作网页翻转按钮</a>
					<div>
						Flash 中的交替图像按钮一直是网页爱好者喜欢的动画按钮,在 Dreamweaver 中只需要几步简单的操作,就可以制作出这些极具动感的交替图像按钮,而且占用空间少. 效果说明 建立一组相互交替的图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62W0NM.html" rel="bookmark" class="title">Photoshop制作绿色按钮技巧</a>
					<div>
						对于各界交互界面大师来说,按钮的制作无疑是不可缺少的一个组成部分,但是习惯于运用多个图层叠加出非常漂亮的效果的时候,修改极不方便.下面介绍如何用图形渐变及图层样式简化这些图层. PS教程最终效果 &l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqnGab.html" rel="bookmark" class="title">java ubuntu rxtx-RXTX包支持ubuntu32位吗？</a>
					<div>
						问题描述 RXTX包支持ubuntu32位吗? http://rxtx.qbang.org/wiki/index.php/Download上面是RXTX的主页,有好几个版本,不知道哪个能用,请高手赐教 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6jN6M.html" rel="bookmark" class="title">yiic命令时提示&OpenCurlyDoubleQuote;php&period;exe&rdquo;不是内部或外部命令的解决方法&lowbar;php实例</a>
					<div>
						本文实例讲述了yiic命令时提示&quot;php.exe&quot;不是内部或外部命令的解决方法,分享给大家供大家参考.具体方法如下: 在CMD中运行 yiic webapp work 如果报&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NXBmz.html" rel="bookmark" class="title">输出-单词排序，输入一句话，按照单词的顺序排列</a>
					<div>
						问题描述 单词排序,输入一句话,按照单词的顺序排列 单词排序,输入一句话,按照单词的顺序排列,比如输入:Hello, Welecome to Henan Univercity,输出Hello Hena ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwQXwp.html" rel="bookmark" class="title">内部变量和外部变量就是局部变量和全局变量吗？</a>
					<div>
						问题描述 内部变量和外部变量就是局部变量和全局变量吗? 局部变量和全局变量是从作用域分类的 外部变量就是前面加了extern,这个是从生存期定义的 这个两者应该不能混为一谈 为什么很多地方就默认为内部 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQr2nwM.html" rel="bookmark" class="title">评审技术在高质量软件开发中的应用分析（下）</a>
					<div>
						接评审技术在高质量软件开发中的应用分析(上) 三.评审在高质量软件开发的实际应用 3.1 高质量软件开发项目介绍 高质量软件,如电信软件.金融证券类软件等,有较严格的要求:可用性要求非常高,并且不会因 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY55NlM.html" rel="bookmark" class="title">mac-如何在Mac os x下实现8086汇编？</a>
					<div>
						问题描述 如何在Mac os x下实现8086汇编? 在学习汇编语言,想练练手,除了使用虚拟机,有没有什么其他的办法? 解决方案 你Mac机器是什么架构的,汇编出来应该就是这个架构的吧,xcode编译 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZJgKp.html" rel="bookmark" class="title">内网电脑访问指定地址并登陆后访问外网</a>
					<div>
						问题描述 内网电脑访问指定地址并登陆后访问外网 怎么实现 内网电脑访问指定地址并登陆后访问外网 为了监控内网电脑对外网的访问 或者有其他办法实现监控吗 跪求大神指教					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeR9X7b.html" rel="bookmark" class="title">大数据案例：通过Facebook看美国人社交和婚恋</a>
					<div>
						北京时间4月27日消息,据国外http://www.aliyun.com/zixun/aggregation/31646.html&quot;&gt;媒体报道,美国计算搜索引擎Wolfram Alph ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Z10Rp.html" rel="bookmark" class="title">如何沟通开发人员</a>
					<div>
						你是不是在这样的一个大公司里工作--他们工作效率不高,会议却是很多的?会不会让你去完成一个任务,去开发一个API,但你的不知道它的作用是什么?你只是按照文档在技术上把它正确的实现吗? &quot;如何 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94RZRb.html" rel="bookmark" class="title">Digg因为克隆Twitter和Facebook等网站的功能而犯下大错</a>
					<div>
						据国外媒体报道,在Digg被以50万美元的低价出售给Betaworks之后,Digg的创始人凯文·罗斯(Kevin Rose)首次接受了媒体的采访.他表示,在向风投融资的时候,他曾售出了一些公司的股票 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RDdnz.html" rel="bookmark" class="title">基于WebSphere Commerce的电子商务应用性能优化&colon; 店铺页面设计建议</a>
					<div>
						随着信息量和网络规模在互联网上爆炸式的增长,网站的性能成为用户的体验和市场成败的关键.与普通软件产品不同,Web 产品的性能提升和质量保证不仅仅依赖于开发后期和实施阶段的测试和修改,而需要在网页设计和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGE53kM.html" rel="bookmark" class="title">tomcat启动报错java&period;net&period;SocketException&colon; select failed</a>
					<div>
						问题描述 2011-4-2117:29:03org.apache.tomcat.util.net.JIoEndpoint$Acceptorrun严重:Socketacceptfailedjava.ne ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Z0QKp.html" rel="bookmark" class="title">16位木马程序须引起警惕</a>
					<div>
						每周高危病毒警报 我们日常接触到的程序一般都是32位,包括常见的http://www.aliyun.com/zixun/aggregation/21575.html&quot;&gt;恶意程序.但是, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZjaAz.html" rel="bookmark" class="title">java基础-java运行时出现&OpenCurlyDoubleQuote;a java exception has occurred&rdquo;怎么办？</a>
					<div>
						问题描述 java运行时出现&quot;a java exception has occurred&quot;怎么办? 我的java版本是Luna service release 1(4.4.1),已 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7NOAM.html" rel="bookmark" class="title">Google Glass到底有多少战斗数值&quest;</a>
					<div>
						争议不断的 Google Glass,战斗数值到底多少? 事情大家都知道了:北京时间1月16日凌晨,Google 发布消息,称其将从下周开始停止接受谷歌眼镜 (Google Glass) 订单,并将关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RAyAz.html" rel="bookmark" class="title">警钟：黑客在淘宝中挂马</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 淘宝网--中国最大的购物网站,根据Alexa统计该居于全世界网站访问量排名的第22位,每天有无数人访问该网站.围绕在这个不打烊的购物网站周围的全是那些使 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBEPPM.html" rel="bookmark" class="title">golang项目结构</a>
					<div>
						一.概述 golang更新了环境变量,导致整个goproject的结构改变: 1 [root@node175 goproject]# tree -L 2 2 . 3 ├── bin 4 │   └── ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrq5Bxb.html" rel="bookmark" class="title">session-Servlet3&period;0 AsyncContext 问题。</a>
					<div>
						问题描述 Servlet3.0 AsyncContext 问题. 书上写&quot; 被异步请求dispatch的目标页面需要指定session=&quot;false&quot;&quot; &qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkQrmM.html" rel="bookmark" class="title">大数据技术和未来商业模式</a>
					<div>
						2013年4月26日-27日,由51CTO传媒集团旗下WOT(World Of Tech)品牌主办的2013大数据全球技术峰会在北京富力万丽酒店召开.本次峰会将围绕大数据基础架构与上层应用的生态系统, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ZRgWz.html" rel="bookmark" class="title">动作街机游戏《屌丝伞兵》限免中</a>
					<div>
						&lt;屌丝伞兵&gt;曾经荣获第四届中国独立游戏节最佳移动游戏.是一款生存类的第三人称动作游戏,游戏的快节奏和刺激感一定使你玩起来爱不释手.游戏中你将操控屌丝大兵.&lt;屌丝伞兵&gt;游戏截图在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOkk4b.html" rel="bookmark" class="title">期货高频交易软件免费使用引起业内广泛兴趣</a>
					<div>
						秉持着&quot;为客户提供最有价值的交易工具&quot;的经营理念,积极探索与推进期货交易系统的改革创新.年初福星在线金融软件有限公司推出&quot;福星在线高频交易系统&quot;,这是福星在线公 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOn509p.html" rel="bookmark" class="title">fleaphp常用方法分页之Pager使用方法&lowbar;php技巧</a>
					<div>
						Pager 分页函数 复制代码 代码如下: /** * 构造函数 * * 如果 $source 参数是一个 TableDataGateway 对象,则 FLEA_Helper_Pager 会调用 *  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.021 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
